//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializelistActiveGameSessionsResponse")
inline fun listActiveGameSessionsResponse(block: gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponseKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse =
  gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponseKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse.newBuilder()).apply { block() }._build()
object ListActiveGameSessionsResponseKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse = _builder.build()

    /**
     * An uninstantiable, behaviorless type to represent the field in
     * generics.
     */
    @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
    class GameSessionsProxy private constructor() : com.google.protobuf.kotlin.DslProxy()
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
     val gameSessions: com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.GameSession, GameSessionsProxy>
      @kotlin.jvm.JvmSynthetic
      get() = com.google.protobuf.kotlin.DslList(
        _builder.getGameSessionsList()
      )
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     * @param value The gameSessions to add.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("addGameSessions")
    fun com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.GameSession, GameSessionsProxy>.add(value: gg.dsepractice.chinese.v1alpha1.GameSession) {
      _builder.addGameSessions(value)
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     * @param value The gameSessions to add.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("plusAssignGameSessions")
    @Suppress("NOTHING_TO_INLINE")
    inline operator fun com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.GameSession, GameSessionsProxy>.plusAssign(value: gg.dsepractice.chinese.v1alpha1.GameSession) {
      add(value)
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     * @param values The gameSessions to add.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("addAllGameSessions")
    fun com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.GameSession, GameSessionsProxy>.addAll(values: kotlin.collections.Iterable<gg.dsepractice.chinese.v1alpha1.GameSession>) {
      _builder.addAllGameSessions(values)
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     * @param values The gameSessions to add.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("plusAssignAllGameSessions")
    @Suppress("NOTHING_TO_INLINE")
    inline operator fun com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.GameSession, GameSessionsProxy>.plusAssign(values: kotlin.collections.Iterable<gg.dsepractice.chinese.v1alpha1.GameSession>) {
      addAll(values)
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     * @param index The index to set the value at.
     * @param value The gameSessions to set.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("setGameSessions")
    operator fun com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.GameSession, GameSessionsProxy>.set(index: kotlin.Int, value: gg.dsepractice.chinese.v1alpha1.GameSession) {
      _builder.setGameSessions(index, value)
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("clearGameSessions")
    fun com.google.protobuf.kotlin.DslList<gg.dsepractice.chinese.v1alpha1.GameSession, GameSessionsProxy>.clear() {
      _builder.clearGameSessions()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse.copy(block: gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponseKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse =
  gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponseKt.Dsl._create(this.toBuilder()).apply { block() }._build()

